Subject: bug#67652: closed (Re: bug#67652: [PATCH] * home/services/shells.scm (add-bash-configuration): reorder aliases (Bug#67652))

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 27 Mar 2024 14:54:09 +0000

Your bug report

#67652: Guix home - bash alias declarations order

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
67652: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=67652
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#67652: [PATCH] * home/services/shells.scm (add-bash-configuration): reorder aliases (Bug#67652)
From: Hilton Chain <[email-masked]>
To: Jason <[email-masked]>
Cc: [email-masked], Atte Torri <[email-masked]>, Christian Miller <[email-masked]>
Date: Wed, 27 Mar 2024 22:50:25 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi everyone,

On Thu, 22 Feb 2024 12:10:15 +0800,
Jason wrote:
>
> From: Jason Darby <[email-masked]>
>
> Change-Id: I288856bb6befe378ca60ef78578acc069cb18532
> ---
>  gnu/home/services/shells.scm | 4 ++--
>  1 file changed, 2 insertions(+), 2 deletions(-)

I have applied Jason's patch as 0b38c9401bebb6b87093555ef3768a8e1855c938, thank
you all!

Subject: Guix home - bash alias declarations order
From: Atte Torri <[email-masked]>
To: [email-masked]
Date: Tue, 5 Dec 2023 16:54:10 +0100 (CET)
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, 

I have an issue with guix home alias declarations. The aliases I declare in my home configuration always end up on top of the .bashrc file, while the documentation for the home-bash-service-type says "The aliases will be defined after the contents of the bashrc field has been put in the .bashrc file.". The following is the bash configuration I use 

(service home-bash-service-type 
(home-bash-configuration 
(bashrc (list (local-file ".bashrc" "bashrc"))) 
(bash-profile (list (local-file ".bash_profile" "bash_profile"))) 
(bash-logout (list (local-file ".bash_logout" "bash_logout"))) 
(aliases '(("egrep" . "egrep --color=auto") 
("fgrep" . "fgrep --color=auto") 
("grep" . "grep --color=auto") 
("l" . "ls -CF") 
("la" . "ls -A") 
("ll" . "ls -alF") 
("ls" . "ls --color=auto"))))) 

M. TORRI Atte 
PhD Student (Computer Science) at Université Paris-Saclay 
Doctorant (Informatique) à l'Université Paris-Saclay 
Équipe ParSys - Laboratoire Interdisciplinaire des Sciences du Numérique (LISN) 
Bureau 105 - Bâtiment 650 
[email-masked] | 0169153106